Update an endpoint
Send at least one field. Returns 409 when the application already has an endpoint with the same path and transport.
Requires the inventory:write API key scope.
Authentication
AuthorizationBearer
A workspace API key, sent as Authorization: Bearer.
OR
x-api-keystring
A workspace API key, sent as x-api-key.
Path parameters
endpointId
Endpoint UUID.
Request
This endpoint expects an object.
applicationId
Move the endpoint to another application in this workspace.
endpoint
description
type
transport
Allowed values:
location
startLineNumber
endLineNumber
objectives
authenticationRequired
businessLogic
threatModel
Response
The updated endpoint.
id
endpoint
transport
Allowed values:
type
applicationId
location
authRequired
createdAt
description
objectives
startLineNumber
endLineNumber
authenticationRequired
businessLogic
threatModel
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error